/*Body*/
body{
	overflow: auto;
	/*overflow-y: hidden;*/
	overflow-x: hidden;
    height: 100vh;
}
.page-content{
    height: 100vh;
}
/**/

#wrapper {

    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: 99;
    left: 0;
    top: 0;
    background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
}

/* LOADER 1 */
.loader {
    height: 50px;
    transform-origin: bottom center;
    animation: rotate 3s linear infinite;
}

.circle {
    display: inline-block;
    background-color: purple;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    transform: scale(0);
    animation: grow 1.5s linear infinite;
    margin: -10px;
}

.circle:nth-child(2) {
    background-color: #00dce1;
    animation-delay: 0.75s;
}

@keyframes rotate {
    to {
        transform: rotate(360deg);
    }
}

@keyframes grow {
    50% {
        transform: scale(1);
    }
}
#wrapper.hidden{
    animation: fadeOut 4s;
    animation-fill-mode: forwards;
}

@keyframes fadeOut {
    50%  { opacity:1; }
    100%{
        opacity: 0;
        visibility: hidden;
    }
    
}

/*Header*/
header, #mapDiv, #barDiv, #sankeyDiv {
    box-shadow: 5px 5px 10px #eaeaea;
}

header{
    height: 50px;
    margin-bottom: 5px;
}
header h4{
    line-height: 3;
    text-indent: 30px;
    font-size: 19px;
}
header h4 span{
    line-height: 3;
    text-indent: 30px;
    font-size: 16px;
}
/*header end*/

/*Content*/

p#barchartInfo{
    font-size: 12px;
    font-weight: normal;
    cursor: pointer;

}p#flowmapInfo{
    font-size: 12px;
    font-weight: normal;
    position: absolute;
    top: -323px;
    left: -70px;
    width: 10px;
    cursor: pointer;

}p#sankeyInfo{
    font-size: 12px;
    font-weight: normal;
    cursor: pointer;
}

.hc-name{
     display: inline;
     width: 200px;
 }

div.hc-details{
    position: absolute !important;
    left: 0px;
    top: -157px;
    height: 90px;
}
div#mapDiv div.hc-details{
    position: absolute !important;
    left: 0px;
    top: -327px;
    height: 120px;
}
span#flowPreview div.hc-details{
    position: absolute !important;
    left: 684px;
    top: 163px;
    height: 90px;
}

p#maplegendInfo div.hc-details{
    position: absolute !important;
    bottom: -260px;
    left: 829px !important;
    height: 120px;
}
p#maplegendInfo.hc-name {
    font-size: 15px;
    font-weight: normal;
    position: absolute;
    bottom: -260px;
    left: 829px !important;
    width: 10px;
    cursor: pointer;
}


/* Header Buttons*/
#beneficiarybtn{
    float: right;
    position: absolute;
    top: 22px;
    right: 11px;
    width: 420px;
}
#beneficiarybtn button {
    width: 24%;
    border: 0px;
    background: #f5f5f9;
    font-size: 10px;
    color: #52575b;
    border-radius: 0px;
}

#beneficiarybtn button:hover{
    background: #007bff;
    color: #fff;
}
#beneficiarybtn button.active{
    background: #007bff;
    color: #fff;
}


.beneficiarybtn button.active{}


/*Sidebar Nav Content*/
.nav-pills.nav-link{
    border-radius: 0px;
}

#sidebar {
    background: #fff;
}

#v-pills-tabContent p{
    color:#5b5b5b;
    font-size: 10.7px;
}

.nav .flex-column .nav-pills{
    width: 45px;
    height: 60px;
}
nav#sidebar div.custom-menu {
    margin-right: 5px;
    top: -7px;
    z-index: 1;
}
nav#sidebar.active div.custom-menu{
    margin-right: -20px;
    top: 2px;
    z-index: 1;
}
#sidebar .sidebtn{
    margin-right: 0px;
    margin-top: 15px;
    border: 0px;
    background: #007bff;
    width: 20px;
}
#sidebar.active .sidebtn{
    margin-right: -10px;
    margin-top: 0px;
    border: 0px;
    background: #fafafa;
    width: 30px;
}
#sidebar.active .custom-menu .btn.btn-primary {
    background: transparent;
    border-color: transparent; }
#sidebar.active .custom-menu .btn.btn-primary:after {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: '';
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    background: #007bff;
    border-radius: 10px; }
#sidebar.active .custom-menu .btn.btn-primary:hover, #sidebar .custom-menu .btn.btn-primary:focus {
    background: transparent !important;
    border-color: transparent !important; }
nav#sidebar.active{
    background: #fff;
}
#sidebarCollapse i.fa-bars{
    color: #fff;
    font-size: 15px;
    position: relative;
    top: -5px;
    left: -3px;
    vertical-align: text-top;
}
/*sidebar icons*/
i.fa.fa-caret-left{
    color: #fff;
}
#sidebar.active i.fa-bars{
    color: #fff;
}
nav#sidebar #sidebarCollapse i.fa.fa-bars{
    color: #007bff;
    font-size: 18px;
}
#v-pills-tab i{
    font-size: 16px;
}
#sidebar.active i.fa-caret-left{
    display: none;
}
nav#sidebar #sidebarCollapse i.fa.fa-bars{
    display: none;
}
nav#sidebar.active #sidebarCollapse i.fa.fa-bars{
    display: unset;
}

a{
    width: 40px;
    height: 40px;
    color: #007bff;
}
i{
    width: 100%;
    text-align: center;
    vertical-align: center;
}
.fa{
    font-size: 15px;
    line-height: 2;

}
/*sidebar content*/
#sidebar .title{
    font-size: 14px;
    background: #007bff;
    width: 340px;
    position: absolute;
    left: -4px;
    height: 40px;
    line-height: 3em;
    text-indent: 16px;
    color: #fff;
}
.side-content{
    padding: 0px;
}
.sidenavContent{
    color: #52575b;
    font-size: 11px;
    padding-top: 50px;
    padding-left: 5px;
    text-align: justify;
    height: 600px;

}
.side-navigation .col-2{
    padding-right: 0px;
    max-width: 58px;
}
#SidebarLegend{
    height: 49%;
    width: 100%;
    margin-top: 20px;
}
#searchCountry{
    height: 40%;
    margin-bottom: 15px;
}
#filterBeneficiary{
    height: 40%;
}

.wcpoimg{
    cursor: pointer;
    height: 500px;
    text-align: center;
}
.modal-dialog{
    min-width: 900px;
    min-height: 450px;
}
.modalimg.img-fluid{
    height: 95%;
}

.axis {
    font: 10px sans-serif;
}

.axis path,
.axis line {
    fill: none;
    stroke: #000;
    shape-rendering: crispEdges;
}
#dropdown{
    position: absolute;
    top: 70px;
    margin-bottom: 30px;
}
input#searchCountry{
    border: 1px;
    font-size: 13px;

}
input#search_box{
    position: absolute;
    left: 10px;
}
input#autocompletebtn{
    display: none;
}
li.ui-menu-item{
    font-size: 12px;
    cursor: pointer;

}
label#search_submit{
    cursor: pointer;
    border-radius: 0px;
}

#search_button{
    position: absolute;
    left: 160px;
    height: 33px;
    font-size: 10px;
    cursor: pointer;
}
#search_button p{
    font-size: 11px;
    color: #fff;
    padding-bottom: 5px;
    line-height: 1;
}

ul.ui-autocomplete{
    list-style-type: none;
    background-color: #fff;
    width: 200px;
    padding-left: 3px;
    position: relative;
    left: 10px;
    box-shadow: 5px 5px 10px #eaeaea;;
}
ul.helplist {
    font-size: 10px;
    padding-left: 10px;
}

#sidebar ul.helplist li{
    font-size: 10.5px;
}

ul.infolist {
    font-size: 10px;
    padding-left: 10px;
}

#sidebar ul.infolist li{
    font-size: 10.5px;
}

#sidebar ul.infolist li a{
    font-size: 10.5px;
    width: auto;
}

#v-pills-help p{
    margin-bottom: 0px;
}
#v-pills-help h6{
    font-size: 0.79rem;
}

.countryBars:hover{
    fill: #ff8373;
}

.countrytoolTip {
    position: absolute;
    display: none;
    min-width: 80px;
    height: auto;
    background: none repeat scroll 0 0 #ffffff;
    border: 1px solid #6F257F;
    padding: 14px;
    text-align: center;
}
.countryText div{
    padding-left: 3px;
}
/*sidebar end*/



#content p{
    position: absolute;
    left: 10px;
}
#mapDiv p{
    position: absolute;
    left: 15px;
}

/*Map Content*/
text#mapInfoTitle{
    color: gray;
}
text#flowmapInfoTitle{
    color: gray;
}
.countries {
    fill: none;
    stroke: #fff;
    stroke-linejoin: round;
}
.mapBackground {
	fill: #ecf0ff;
	stroke: #fff;
    stroke-width: 1px;
	
}
.mapBackgroundSelect{
	fill:  #182128;
}

.mapBackgroundHighlight {
	fill: #4ab3f9;
	stroke: #4ab3f9;
}
#mapLegend{
    cursor: pointer;
}
.choroplethBackground{
    fill: #ecf0ff;
    stroke: #fff;
    stroke-width: 1px;
}
.choroplethHighlight:hover{
    fill: #28aff4;
}
.choroplethLegend {
	position: absolute;
	top: 8%; left: 2%;
 	background-color: #28303A;
}

.mapBorderHigh {
	stroke-width:1;
	stroke: #4ab3f9;
}

.mapBorder {
	stroke-width:2;
	stroke: black;
}
.source-port {
	fill: white; 
	stroke: red;
	stroke-width: 2px;
}
.route {
	fill: none;
	stroke: #333;
	opacity: 0.5;
}
.linesMovement {
  animation: flow 1s linear infinite;
  -webkit-animation: flow 1.5s linear infinite;
}

.lines {
  stroke-opacity: 1;
  fill: none;
  opacity: 1;  
}

.flowline {
	fill: rgb(8, 48, 107);
	opacity: 0.5;
}

@keyframes flow {
  from {
    stroke-dashoffset: 35;
  }

  to {
    stroke-dashoffset: 0;
  }
}

@-webkit-keyframes flow {
  from {
    stroke-dashoffset: 35;
  }

  to {
    stroke-dashoffset: 0;
  }
}

.key path {
  display: none;
}

.key line {
  stroke: #000;
  shape-rendering: crispEdges;
}
#zooming{
    position: absolute;
    right: 5px;
}
#zooming button{
    font-size: 10px
;
}
#mapLegend{
    position: relative;
    left: 50px;

}
button#zoom-in{
    border: solid;
    border-color: #a7aea7;
    box-shadow: grey;
    /*box-shadow: 2px 2px 1px #d8d5d5;*/
}
button#zoom-out{
    border: solid;
    border-color: #a7aea7;
    box-shadow: grey;
    /*box-shadow: 2px 2px 1px #d8d5d5;*/
}
/*End of Map Content*/




/*Sankey Diagram*/
.sankeyDiv{
}
.sankeyDivLegend {
	position: absolute;
	bottom: 0%; right: 4%;
}
.node rect {
  cursor: move;
  fill-opacity: .9;
  shape-rendering: crispEdges;
}

.node text {
  pointer-events: none;
  text-shadow: 0 1px 0 #fff;
}

.link {
  fill: none;
  stroke: #000;
  stroke-opacity: .2;
}

.link:hover {
  stroke-opacity: .5;
}
.sankeytext{
    text-shadow:
    -1px -1px 3px white,
    -1px 1px 3px white,
    1px -1px 3px white,
    1px 1px 3px;

}
/*End of Sankey Diagram*/

/*stacked graph*/
.barDiv {
	background-color: transparent;
}
svg {
    font: 10px sans-serif;
    shape-rendering: crispEdges;
}
.axis path,
.axis line {
  fill: none;
  stroke: #000;
  shape-rendering: crispEdges;
}
 
.bar {
  fill: steelblue;
}
 
.x.axis path {
  display: none;
}
.tooltip {
    text-align: center;
    position: absolute;
    background-color: #000;
    padding: 1px 1px;
    border: 1px solid #000;
    z-index: 10;
	color: #FFF;
    font-size: 12px;
}
/*end stacked graph*/